Skip to main content
`Ctrl`+`K`

# SVDConv

The convergence criterion to be used by the solver.

## Synopsis

    typedef enum { SVD_CONV_ABS,
                   SVD_CONV_REL,
                   SVD_CONV_NORM,
                   SVD_CONV_MAXIT,
                   SVD_CONV_USER } SVDConv;

## Values

- `SVD_CONV_ABS` - absolute convergence criterion, \(\|r\|\)

- `SVD_CONV_REL` - convergence criterion relative to singular value, \(\|r\|/\sigma\)

- `SVD_CONV_NORM` - convergence criterion relative to matrix norms, \(\|r\|/\max\{\|A\|,\|B\|\}\)

- `SVD_CONV_MAXIT` - no convergence until maximum number of iterations has been reached

- `SVD_CONV_USER` - convergence dictated by user-provided function

## Note

The `SVD_CONV_MAXIT` convergence criterion is used only in `SVDRANDOMIZED`.

## See Also

SVD: Singular Value Decomposition, `SVDSetConvergenceTest()`, `SVDSetConvergenceTestFunction()`, `SVDSetTolerances()`

## Level

intermediate

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages